(function ($) {

Drupal.behaviors.ucFreeOrder = {

	attach: function (context, settings) {

		var free_order_initialized = false;
		var using_free_order = false;

		// Our main click handler.
		// Adds a click function to the total so we can check its updated values.
    $('#line-items-div').click(function() { free_order_check_total(this.value); });
		/**
		* Checks the current total and updates the available/selected payment methods
		* accordingly.
		*/
		function free_order_check_total(total) {
			total = parseFloat(total);
      alert(total);
			// Disable the free order option and select the first available method.
			if (total >= .005 && (using_free_order != false || free_order_initialized == false)) {
				// Show the other payment method radios.
				$("#payment-pane .form-radios input:radio").removeAttr('disabled').parent().show(0);

				// Hide the free order radio.
				$("input:radio[value=free_order]").attr('disabled', 'disabled').parent().hide(0);

				// Find the first available payment method.
				var uc_free_order_next_method = $(':radio[name="panes[payment][payment_method]"]:enabled:first').val();

				// Select the first payment method.
				$("input:radio[value=" + uc_free_order_next_method + "]").attr('checked', 'checked');

				// Refresh the payment details section.
				get_payment_details(Drupal.settings.ucURL.checkoutPaymentDetails + uc_free_order_next_method);

				using_free_order = false;
			}
			else if (total < .005 && using_free_order != true) {
				// Hide the fallback payment method radio.
				$("#payment-pane .form-type-radios input:radio").attr('disabled', 'disabled').parent().hide(0);

				// Show and select the free order payment method.
				$("input:radio[value=free_order]").removeAttr('disabled').attr('checked', 'checked').parent().show(0);

				// Refresh the payment details section.
				get_payment_details(Drupal.settings.ucURL.checkoutPaymentDetails + 'free_order');

				using_free_order = true;
			}

			free_order_initialized = true;
		}
	}

};

})(jQuery);
